# Uses of Interface
java.util.Spliterator.OfLong

Packages that use Spliterator.OfLong
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

- ## Uses of Spliterator.OfLong in java.util

  Classes in java.util that implement Spliterator.OfLong
  Modifier and Type
  Class
  Description
  `static class`
  `Spliterators.AbstractLongSpliterator`
  An abstract `Spliterator.OfLong` that implements `trySplit` to permit limited parallelism.
  Subinterfaces with type arguments of type Spliterator.OfLong in java.util
  Modifier and Type
  Interface
  Description
  `static interface`
  `Spliterator.OfLong`
  A Spliterator specialized for `long` values.
  Methods in java.util that return Spliterator.OfLong
  Modifier and Type
  Method
  Description
  `static Spliterator.OfLong`
  Spliterators.`emptyLongSpliterator()`
  Creates an empty `Spliterator.OfLong`
  `static Spliterator.OfLong`
  Arrays.`spliterator(long[] array)`
  Returns a `Spliterator.OfLong` covering all of the specified array.
  `static Spliterator.OfLong`
  Arrays.`spliterator(long[] array, int startInclusive, int endExclusive)`
  Returns a `Spliterator.OfLong` covering the specified range of the specified array.
  `static Spliterator.OfLong`
  Spliterators.`spliterator(long[] array, int additionalCharacteristics)`
  Creates a `Spliterator.OfLong` covering the elements of a given array, using a customized set of spliterator characteristics.
  `static Spliterator.OfLong`
  Spliterators.`spliterator(long[] array, int fromIndex, int toIndex, int additionalCharacteristics)`
  Creates a `Spliterator.OfLong` covering a range of elements of a given array, using a customized set of spliterator characteristics.
  `static Spliterator.OfLong`
  Spliterators.`spliterator(PrimitiveIterator.OfLong iterator, long size, int characteristics)`
  Creates a `Spliterator.OfLong` using a given `LongStream.LongIterator` as the source of elements, and with a given initially reported size.
  `static Spliterator.OfLong`
  Spliterators.`spliteratorUnknownSize(PrimitiveIterator.OfLong iterator, int characteristics)`
  Creates a `Spliterator.OfLong` using a given `LongStream.LongIterator` as the source of elements, with no initial size estimate.
  `Spliterator.OfLong`
  Spliterators.AbstractLongSpliterator.`trySplit()`
  If this spliterator can be partitioned, returns a Spliterator covering elements, that will, upon return from this method, not be covered by this Spliterator.
  Methods in java.util with parameters of type Spliterator.OfLong
  Modifier and Type
  Method
  Description
  `static PrimitiveIterator.OfLong`
  Spliterators.`iterator(Spliterator.OfLong spliterator)`
  Creates an `PrimitiveIterator.OfLong` from a `Spliterator.OfLong`.

- ## Uses of Spliterator.OfLong in java.util.stream

  Methods in java.util.stream with parameters of type Spliterator.OfLong
  Modifier and Type
  Method
  Description
  `static LongStream`
  StreamSupport.`longStream(Spliterator.OfLong spliterator, boolean parallel)`
  Creates a new sequential or parallel `LongStream` from a `Spliterator.OfLong`.
  Method parameters in java.util.stream with type arguments of type Spliterator.OfLong
  Modifier and Type
  Method
  Description
  `static LongStream`
  StreamSupport.`longStream(Supplier<? extends Spliterator.OfLong> supplier, int characteristics, boolean parallel)`
  Creates a new sequential or parallel `LongStream` from a `Supplier` of `Spliterator.OfLong`.